/*
 * Copyright (c) 2025 Hutool Team and hutool.cn
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.dromara.hutool.ai;

/**
 * 模型厂商的名称（不指具体的模型）
 *
 * @author elichow
 * @since 6.0.0
 */
public enum ModelName {
	/**
	 * deepSeek
	 */
	DEEPSEEK("deepSeek"),
	/**
	 * openai
	 */
	OPENAI("openai"),
	/**
	 * doubao
	 */
	DOUBAO("doubao"),
	/**
	 * grok
	 */
	GROK("grok");

	private final String value;

	ModelName(final String value) {
		this.value = value;
	}

	/**
	 * 获取值
	 *
	 * @return 值
	 */
	public String getValue() {
		return value;
	}
}
